LITECOIN-TX(1)

NAME
litecoin-tx - manual page for litecoin-tx v0.16.3.0

DESCRIPTION
Litecoin Core litecoin-tx utility version v0.16.3.0

  Usage:

litecoin-tx [options] <hex-tx> [commands]
    Update hex-encoded litecoin transaction

litecoin-tx [options] -create [commands]
    Create hex-encoded litecoin transaction

OPTIONS

-?

    This help message

-create

    Create new, empty TX.

-json

    Select JSON output

-txid

    Output only the hex-encoded transaction id of the resultant transaction.

Chain selection options:

-testnet

    Use the test chain

-regtest

    Enter regression test mode, which uses a special chain in which blocks can be solved instantly. This is intended for regression testing tools and app development.

Commands:

    delin=N

    Delete input N from TX

    delout=N

    Delete output N from TX

    in=TXID:VOUT(:SEQUENCE_NUMBER)

    Add input to TX

    locktime=N

    Set TX lock time to N

    nversion=N

    Set TX version to N

    replaceable(=N)

    Set RBF opt-in sequence number for input N (if not provided, opt-in all available inputs)

    outaddr=VALUE:ADDRESS

    Add address-based output to TX

    outpubkey=VALUE:PUBKEY[:FLAGS]

    Add pay-to-pubkey output to TX. Optionally add the "W" flag to produce a pay-to-witness-pubkey-hash output. Optionally add the "S" flag to wrap the output in a pay-to-script-hash.

    outdata=[VALUE:]DATA

    Add data-based output to TX

    outscript=VALUE:SCRIPT[:FLAGS]

    Add raw script output to TX. Optionally add the "W" flag to produce a pay-to-witness-script-hash output. Optionally add the "S" flag to wrap the output in a pay-to-script-hash.

    outmultisig=VALUE:REQUIRED:PUBKEYS:PUBKEY1:PUBKEY2:....[:FLAGS]

    Add Pay To n-of-m Multi-sig output to TX. n = REQUIRED, m = PUBKEYS. Optionally add the "W" flag to produce a pay-to-witness-script-hash output. Optionally add the "S" flag to wrap the output in a pay-to-script-hash.

    sign=SIGHASH-FLAGS

    Add zero or more signatures to transaction. This command requires JSON registers:prevtxs=JSON object, privatekeys=JSON object. See signrawtransaction docs for format of sighash flags, JSON objects.

Register Commands:

    load=NAME:FILENAME

    Load JSON file FILENAME into register NAME

    set=NAME:JSON-STRING

    Set register NAME to given JSON-STRING

COPYRIGHT
Copyright (C) 2011-2018 The Litecoin Core developers Copyright (C) 2009-2018 The Bitcoin Core developers Please contribute if you find Litecoin Core useful. Visit <https://litecoin.org> for further information about the software. The source code is available from <https://github.com/litecoin-project/litecoin>. This is experimental software. Distributed under the MIT software license, see the accompanying file COPYING or <https://opensource.org/licenses/MIT> This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit <https://www.openssl.org> and cryptographic software written by Eric Young and UPnP software written by Thomas Bernard.